package com.nbclass.activity.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.nbclass.activity.model.WxUser;
import com.nbclass.util.MyMapper;

/**
 * 
 * @author Leon
 * @datetime 2020年6月2日 下午4:42:57
 */
public interface WxUserMapper extends MyMapper<WxUser> {
	
	// 这个没用，使用insertSelective方法。
	public void insertCustom(WxUser entity);
	
	/**
	 * 根据userid修改记录
	 * @param entity
	 */
	public void updateByUserId(WxUser entity);
	
	/**
	 * 获取成员UserID列表
	 * @return
	 */
	public List<String> getUserIds();
	
	/**
	 * 通过部门ID列表获取用户信息列表
	 * @param deptids
	 * @return
	 */
	public List<WxUser> getUsersByDeptIds(@Param("deptids")String[] deptids);

	/**
	 * 通过用户ID列表获取用户信息列表
	 * @param userids
	 * @return
	 */
	public List<WxUser> getUsersByUserIds(@Param("userids")String[] userids);
	
	
	/**
	 * 删除此userids之外的用户
	 * @param userIds
	 */
	public void delOtherUsers(@Param("userids")List<String> userids);
	
}